Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface View

All Superinterfaces
  Serializable

All Known Subinterfaces:
  BookView, CategoryView, ChildView, DesktopView, LayoutView, LookAndFeelView, MarkupBasedView, MenuView, NavigableView, PageView, PlaceableView, PlaceholderView, PortalView, PortletCategoryView, PortletView, ShellView, ThemedMarkupBasedView, ThemeView

    public interface View

extends Serializable

"Views" are deep copy immutable objects. Unlike "Definitions" and "Instances", Views cannot be modified by the developer. An Instance or a Definition however can always be obtained from the view. The persistence APIs provide coarse grain and fine grain getters, but only fine grain setters. If you are interested in an object and all its children then retrieve the View, but if you are only interested in the immediate object and don't care about its children then retrieve the Definition.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`String` | `getDescription()` Get the localized description of the view.
`String` | `getTitle()` Get the localized title on this view object.

Method Detail

### getTitle

    String getTitle()

  Get the localized title on this view object. The value of this field can change depending on how the request was made. Each request looks at the Locale values in the customization context and makes a best match to retrieve the appropriate title.

  Returns
    a non-null title. Titles are typically limited to 80 charactes in length.

### getDescription

    String getDescription()

  Get the localized description of the view.

  Returns
    a description if one exists, otherwise null. Descriptions are typically limited to 500 characters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.